%global momorel 9

Summary: Client libraries for GGZ gaming zone with gtk
Name:    ggz-gtk-client
Version: 0.0.14.1
Release: %{momorel}m%{?dist}
License: GPLv2+
Group:   System Environment/Libraries
URL: http://www.ggzgamingzone.org/
#Source: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
Source0:http://mirrors.ibiblio.org/pub/mirrors/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: ggz16.png
Source2: ggz22.png
Source3: ggz32.png
Source4: ggz48.png
Source5: ggz64.png
Source6: ggz128.png
Patch0: %{name}-%{version}-add-icon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: libggz-devel
BuildRequires: ggz-client-libs-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name} with gtk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .icon

# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/ggz.png
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/ggz.png
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/ggz.png
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/ggz.png
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/ggz.png
install -m 644 %{SOURCE6} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/ggz.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/ggz.png %{buildroot}%{_datadir}/pixmaps/ggz.png

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/ggz-gtk
%{_libdir}/libggz-gtk.so.*
%{_datadir}/ggz/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/applications/ggz-gtk.desktop
%{_datadir}/icons/*/*/*/ggz.png
%{_mandir}/man6/ggz-gtk.6.*
%{_datadir}/pixmaps/ggz.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libggz-gtk.so
%{_libdir}/libggz-gtk.a
%{_datadir}/ggz/help/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14.1-9m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14.1-8m)
- revise for rpm46 (s/%%patch/%%patch0/)
- License: GPLv2+

* Wed Sep 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.14.1-7m)
- add icons Source1-6, because convert -size makes blank

* Tue Sep 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.14.1-6m)
- add -size ??x?? to convert (%%install) build fix only

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.14.1-5m)
- do not modify desktop file

* Fri May 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.14.1-4m)
- add category GNOME for menu

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.14.1-3m)
- add icon for menu entry

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.14.1-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14.1-1m)
- update to 0.0.14.1

* Mon Jan  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.14-1m)
- initial build
